Bug 444833 - patch introduces off by one error (extra nullbyte)
patch introduces off by one error (extra nullbyte)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tcpflow (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
http://bugs.debian.org/cgi-bin/bugrep...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 17:41 EDT by Till Maas
Modified: 2008-07-26 02:03 EDT (History)
0 users

See Also:
Fixed In Version: 0.21-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-10 09:52:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 477163 None None None Never

  None (edit)
Description Till Maas 2008-04-30 17:41:36 EDT
Description of problem:
The patch in tcpflow makes it add an extra nullbyte in output files.

Version-Release number of selected component (if applicable):
tcpflow-0.21-2.fc8

How reproducible:
always

Steps to Reproduce:
1. dump a tcp connection in a file with tcpdupm -w foo.dump
2. run tcpflow -r foo.dump
  
Actual results:
every output file starts with an extra nullbyte

Expected results:
there should be no extra nullbyte.

Additional info:
The debian maintainer is planning to release a fixed version of the patch, see
the reference.
Comment 1 Till Maas 2008-05-02 04:19:33 EDT
Using the new patch from debian fixes the problem for me, if you want, I can
attach the patch here or commit it to cvs.
Comment 2 Terje Røsten 2008-05-02 07:09:55 EDT
Thanks for the report.

Could you please test the tcpflow-0.21-4.fc8 package available in koji:

 http://koji.fedoraproject.org/koji/buildinfo?buildID=47881

The new patch should be included there.


 
Comment 3 Fedora Update System 2008-05-03 07:53:53 EDT
tcpflow-0.21-4.fc7 has been submitted as an update for Fedora 7
Comment 4 Fedora Update System 2008-05-03 07:54:37 EDT
tcpflow-0.21-4.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-05-03 07:55:20 EDT
tcpflow-0.21-4.fc9 has been submitted as an update for Fedora 9
Comment 6 Till Maas 2008-05-03 15:54:59 EDT
(In reply to comment #2)

> Could you please test the tcpflow-0.21-4.fc8 package available in koji:
> 
>  http://koji.fedoraproject.org/koji/buildinfo?buildID=47881

This packages works fine for me, i.e. fixes the bug.
Comment 7 Terje Røsten 2008-05-03 16:10:51 EDT
> This packages works fine for me, i.e. fixes the bug.

Great, it' pending for stable update now.

Comment 8 Fedora Update System 2008-05-10 09:52:16 EDT
tcpflow-0.21-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-05-13 11:28:19 EDT
tcpflow-0.21-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-07-26 02:03:31 EDT
tcpflow-0.21-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.